Bug 22020 - Configure Columns for Patron Issues checkin hides renewal
Summary: Configure Columns for Patron Issues checkin hides renewal
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Keywords: rel_18_05_candidate
Depends on: 21777
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-18 16:23 UTC by Donna
Modified: 2019-01-16 08:34 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22020: (bug 21777 follow-up) Fix columns visibility for circulation.pl (1.07 KB, patch)
2018-12-19 19:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22020: (bug 21777 follow-up) Fix columns visibility for circulation.pl (1.12 KB, patch)
2018-12-21 21:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22020: (bug 21777 follow-up) Fix columns visibility for circulation.pl (1.17 KB, patch)
2019-01-08 17:42 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Donna 2018-12-18 16:23:39 UTC
Appears in 18.05.06 - when you go to Configure Columns - Patrons - issues-table - and select checkin, then go to the patrons detail tab, the checkin column is still there, but now labeled renew, and the renew function is not visible.  

Using the configure columns - circulation - issuestable - checkin, the correct behavior is displayed on the patrons checkout tab.
Comment 1 Jonathan Druart 2018-12-19 19:56:42 UTC
Created attachment 83401 [details] [review]
Bug 22020: (bug 21777 follow-up) Fix columns visibility for circulation.pl

The table is used by circulation.pl and moremember.pl
When it is modified we need to take care of the two view.

Test plan:
Use the columns settings to hide/show the "check in" and other columns
Confirm the this patch fixes the display for moremember.pl
Comment 2 Katrin Fischer 2018-12-21 21:29:40 UTC
Created attachment 83472 [details] [review]
Bug 22020: (bug 21777 follow-up) Fix columns visibility for circulation.pl

The table is used by circulation.pl and moremember.pl
When it is modified we need to take care of the two view.

Test plan:
Use the columns settings to hide/show the "check in" and other columns
Confirm the this patch fixes the display for moremember.pl

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Christopher Brannon 2019-01-07 22:48:38 UTC
Would like to see this pushed ASAP.  This is a huge disconnect of patron and items if you are not paying attention!
Comment 4 Josef Moravec 2019-01-08 17:42:53 UTC
Created attachment 83719 [details] [review]
Bug 22020: (bug 21777 follow-up) Fix columns visibility for circulation.pl

The table is used by circulation.pl and moremember.pl
When it is modified we need to take care of the two view.

Test plan:
Use the columns settings to hide/show the "check in" and other columns
Confirm the this patch fixes the display for moremember.pl

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Nick Clemens 2019-01-09 01:14:11 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-01-10 14:14:03 UTC
Pushed to 18.11.x for 18.11.02
Comment 7 Jesse Maseto 2019-01-11 20:18:55 UTC
Pushed to 18.05.x for 18.05.08
Comment 8 Fridolin SOMERS 2019-01-16 08:34:59 UTC
Depends on Bug 21777 not in 17.11.x